Package org.jfree.layouting.modules.output.plaintext

## Class PlaintextFontRegistry

- java.lang.Object
- - org.jfree.layouting.modules.output.plaintext.PlaintextFontRegistry

- All Implemented Interfaces:
    `org.pentaho.reporting.libraries.fonts.registry.FontRegistry`

      public class PlaintextFontRegistry
      extends java.lang.Object
      implements org.pentaho.reporting.libraries.fonts.registry.FontRegistry

  Creation-Date: 13.11.2006, 12:50:35
  Author:
    Thomas Morgner

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PlaintextFontRegistry​(double charWidth, double charHeight)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.pentaho.reporting.libraries.fonts.registry.FontMetricsFactory` | `createMetricsFactory​()` | Creates a new font metrics factory.
    `java.lang.String[]` | `getAllRegisteredFamilies​()` |
    `org.pentaho.reporting.libraries.fonts.registry.FontFamily` | `getFontFamily​(java.lang.String name)` | Tries to find a font family with the given name, looking through all alternative font names if neccessary.
    `java.lang.String[]` | `getRegisteredFamilies​()` |
    `org.pentaho.reporting.libraries.fonts.cache.FontCache` | `getSecondLevelCache​()` |
    `void` | `initialize​()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PlaintextFontRegistry

          public PlaintextFontRegistry​(double charWidth,
                                       double charHeight)

  - ### Method Detail

    - #### initialize

          public void initialize​()

      Specified by:
        `initialize` in interface `org.pentaho.reporting.libraries.fonts.registry.FontRegistry`

    - #### getFontFamily

          public org.pentaho.reporting.libraries.fonts.registry.FontFamily getFontFamily​(java.lang.String name)

      Tries to find a font family with the given name, looking through all alternative font names if neccessary.
      Specified by:
        `getFontFamily` in interface `org.pentaho.reporting.libraries.fonts.registry.FontRegistry`
      Parameters:
        `name` -
      Returns:
        the font family or null, if there is no such family.

    - #### getRegisteredFamilies

          public java.lang.String[] getRegisteredFamilies​()

      Specified by:
        `getRegisteredFamilies` in interface `org.pentaho.reporting.libraries.fonts.registry.FontRegistry`

    - #### getAllRegisteredFamilies

          public java.lang.String[] getAllRegisteredFamilies​()

      Specified by:
        `getAllRegisteredFamilies` in interface `org.pentaho.reporting.libraries.fonts.registry.FontRegistry`

    - #### createMetricsFactory

          public org.pentaho.reporting.libraries.fonts.registry.FontMetricsFactory createMetricsFactory​()

      Creates a new font metrics factory. That factory is specific to a certain font registry and is not required to handle font records from foreign font registries.

      A font metrics factory should never be used on its own. It should be embedded into and used by a FontStorage implementation.
      Specified by:
        `createMetricsFactory` in interface `org.pentaho.reporting.libraries.fonts.registry.FontRegistry`
      Returns:

    - #### getSecondLevelCache

          public org.pentaho.reporting.libraries.fonts.cache.FontCache getSecondLevelCache​()

      Specified by:
        `getSecondLevelCache` in interface `org.pentaho.reporting.libraries.fonts.registry.FontRegistry`